got it itsmyjob
@3DPLM
remove LCase from the replace string and use vbTextCompare as argument, then you will get the desired result
check below lines
objFIns.Name = Replace(objFIns.Name, FstStr, SndStr, , , vbTextCompare)
objFIns.PartNumber = Replace(objFIns.PartNumber, FstStr, SndStr, , ...
hey Poorpaulus, these value are for exponential notation....
like if the value is more than 6 digit after decimal... than CATIA will show the dimension in exponential form,
above two values are for left and right place of decimal
hii pnavy,
for this you can use Left command to remove extra character from the name string
check below code
Sub CATMain()
folderinput = InputBox ("Put your files here","Input","C:\temp\",2000,4000)
folderoutput = InputBox ("Take your files from here","Output","C:\tempout\",2000,4000)
Dim...
Use below macro in CATVba....
for using this macro, follow below steps
1) first create new assembly from old assembly by using File->new from
2) run this macro...
3) In first input box , "enter string to be replaced" ..... as in your case it is "1234567"
4) In second input box, "enter replaced...
check below image....
is this is as per requirement???
if yes... then use below code... i am also attaching CATVbs file....
Language="VBSCRIPT"
Sub CATMain()
' ******************************* test if product is open *****************************
If CATIA.Documents.Count = 0 Then
MsgBox...
above code is not visible... check this
Sub CATMain()
Dim i As Integer
Dim color(2)
Dim backgroundview
Set backgroundview = CATIA.ActiveWindow.ActiveViewer
For i = 0 To 2 Step 1
color(i) = InputBox("Enter RGB value for color between 0 and 1:" & (i + 1), "Enter you value:")
If ((color(i) < 0)...
use below code to set value....
you have to pass integer array.
Sub CATMain()
Dim i As Integer
Dim color(2)
Dim backgroundview
Set backgroundview = CATIA.ActiveWindow.ActiveViewer
For i = 0 To 2 Step 1
color(i) = InputBox("Enter RGB value for color between 0 and 1:" & (i + 1), "Enter you...
hey deepakmangal.... you are getting error because color array is passed as CATSafeArrayVariant, which is not available in VBA. so you are using it as normal array type.
to run code remove defined type from the definition of viewer3d..
below code will run, please check
Sub CATMain()
Dim...
Are you facing this issue in stand alone CATIA or with PLM integrated environment??
I have also faced the same issue in CATIA while working with TeamCenter(PLM) integrated environment
hey itsmyjob, as per the requirement blank part means part without geometry or if geometry present then it must be in hidden mode.
for eg, check below two file
its depends on what you are using for conversion.
In my company we are using a customized application for converting JT into CATIA/CGR and it is working well in both case (part and assembly).
i want to identify blank part in an assembly through macro.
what i am doing now is checking hidden state of partbody, body and geometrical set.
as well as searching geometry in the body, partbody and geometrical set ( if they are in unhide mode).
Is there is any other way to check this...
The Program can't Start beacuse JS0GROUP.dll is missing from you computer. Try reinstalling the program to fix this problem.
Hi all... I am using CATIA V5R22 , Visual studio 2008 and CAA.
I am compiling the one of the module (CAASysCallBack.m) available in the CAASystem.edu...
After...